#
# spec file for package pulseaudio (Version 0.9.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flac flac-devel flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jack jack-devel klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libogg libogg-devel liboil liboil-devel libsamplerate libsamplerate-devel libsndfile libsndfile-devel libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pulseaudio
BuildRequires:  alsa-devel jack-devel liboil-devel libsamplerate-devel libsndfile-devel
Summary:        A Networked Sound Server
Version:        0.9.5
Release:        55.1
License:        GNU General Public License (GPL), GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/Sound Daemons
Source:         %{name}-%{version}.tar.bz2
Source1:        default.pa
Patch:          pulseaudio-0.9.5-dos-vulns-fix.diff
URL:            http://pulseaudio.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).



Authors:
--------
    Lennart Poettering
    Pierre Ossman

%debug_package
%package libs
Summary:        System libraries for pulseaudio
Group:          System/Libraries

%description libs
This package contains the system libraries for clients of pulseaudio
sound server.



Authors:
--------
    Lennart Poettering
    Pierre Ossman

%package devel
Summary:        Development package for the pulseaudio library
Group:          Development/Libraries/C and C++
Requires:       pulseaudio-libs = %{version} libsndfile-devel libsamplerate-devel liboil-devel libtool

%description devel
This package contains the files needed to compile programs that use the
pulseaudio library.



Authors:
--------
    Lennart Poettering
    Pierre Ossman

%prep
%setup
%patch -p1

%build
cp /usr/share/gettext/config.rpath .
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
%configure
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pulse/
chmod 755 $RPM_BUILD_ROOT%{_bindir}/*

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc GPL LGPL LICENSE README
%{_bindir}/*
%{_libdir}/pulse*
%dir %{_sysconfdir}/pulse
%config %{_sysconfdir}/pulse/*
%{_libdir}/libpulsedsp.so

%files libs
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libpulse.so
%{_libdir}/libpulse.*a
%{_libdir}/libpulsecore.so
%{_libdir}/libpulsecore.*a
%{_libdir}/libpulse-simple.so
%{_libdir}/libpulse-simple.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pulse*

%changelog
* Tue May 29 2007 - tiwai@suse.de
- fix possible remote DoS (#260326, CVE-2007-1804)
* Mon Oct 16 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Wed Sep 06 2006 - tiwai@suse.de
- updated to version 0.9.5:
  * add module-hal-detect module
  * shared memory transfer method for local clients
  * update module-volume-restore to automatically restore the output device
  * add a new module module-rescue-streams
  * add support for moving streams "hot" between sinks/sources
  * reduce memory consumption and CPU load
  * add new module module-gconf for reading additional configuration
  * fix module-tunnel to work with the latest protocol
  * miscellaneous fixes
* Thu Aug 17 2006 - tiwai@suse.de
- move libpulsedsp.so to the main package from devel sub package
  (#199735).
* Mon Jul 31 2006 - tiwai@suse.de
- updated to version 0.9.4:
  * support for system-wide pulseaudio daemon.
  * add authentication by IP address range ACL (auth-ip-acl=)
  * support to set resource limits on platforms
  * remove loopback= argument for module-*-protocol-tcp
  * remove obsolete GLIB event loop adapter
  * add an API to check whether a source/sink is hardware or virtual
  * remove warning about SIGPIPE in client apps
  * improve latency calculation of NULL sink
  * port Zeroconf code from the HOWL API to the native Avahi API
  * fix broken time event handling in GLIB
  * Some valgrind/massif fixes
  * Fix pkg-config files for AMD64
* Wed Jul 12 2006 - tiwai@suse.de
- renamed from polypaudio to pulseaudio (the project name was
  changed)
- update to version 0.9.2:
  * increase maximum number of concurrent connections
  * fix latency interpolation
  * add support for reverse endian sound cards
  * add support for recording in padsp
  * reenable CPU load limiter
  * other bugfixes
